import TimeAgo from 'javascript-time-ago'
import de from 'javascript-time-ago/locale/de'
import {useEffect, useState} from "react";

export default function ProgressIndicator(props: {first?: boolean, id: string, name: string, arrival: Date}) {
  const [timeUntil, setTimeUntil] = useState<string>("");

  useEffect(() => {
    // Setup TimeAgo
    TimeAgo.addDefaultLocale(de);
    const timeAgo = new TimeAgo('de-DE')

    const update = () => {
      setTimeUntil(timeAgo.format(new Date(), {future: true}));
    }

    setInterval(update, 1000);
    update();
  }, []);

  return (
      <li className={`relative ${!(props.first ?? false) ? "-mt-3.5" : "-mt-1"} text-sm text-zinc-300`} key={props.id}>
        <div className={"flex flex-row gap-4"}>
          <div className={"w-16 flex flex-row justify-center"}>
            <div className="w-[3px] h-6 -mb-5 bg-zinc-400" aria-hidden="true" />
          </div>
          <div className={"flex-1"}></div>
        </div>

        <div className="relative flex flex-row items-center gap-4">
          <div className={"w-16 flex flex-row justify-center"}>
            <span className="h-9 flex items-center" aria-hidden="true">
              <span className="relative z-10 w-[18px] h-[18px] flex items-center justify-center bg-zinc-400 rounded-full">
                <span className="h-[12px] w-[12px] bg-zinc-900 rounded-full" />
              </span>
            </span>
          </div>

          <div className={"flex-1"}>
            {props.name}
          </div>

          <div>
            {timeUntil}
          </div>
        </div>
      </li>
  )
}
